Sponsored By

Sign in to follow this  
baker7

No Updates for Lenny: Sources List needs updating

Recommended Posts

Hello Everyone:

I tried to update using the update Manager in Debian Lenny and when I did that I got a triangle with an exclamation point - I think my sources list needs to be updated, because I cant get updates for Lenny and have not have them for about a month - can someone tell me where I can still get Lenny sources: This is my output from apt-get update:


Ign cdrom://[Debian GNU/Linux 5.0.1 _Lenny_ - Official i386 CD Binary-1 20090413-00:10] lenny Release.gpg
Ign cdrom://[Debian GNU/Linux 5.0.1 _Lenny_ - Official i386 CD Binary-1 20090413-00:10] lenny/main Translation-en_US
Ign cdrom://[Debian GNU/Linux 5.0.1 _Lenny_ - Official i386 CD Binary-1 20090413-00:10] lenny Release
Ign cdrom://[Debian GNU/Linux 5.0.1 _Lenny_ - Official i386 CD Binary-1 20090413-00:10] lenny/main Packages/DiffIndex
Ign http://ftp.us.debian.org lenny Release.gpg
Ign http://ftp.us.debian.org lenny/main Translation-en_US
Ign http://ftp.us.debian.org lenny Release
Ign http://ftp.us.debian.org lenny/main Packages/DiffIndex
Ign http://ftp.us.debian.org lenny/main Sources/DiffIndex
Ign http://ftp.us.debian.org lenny/main Packages
Ign http://ftp.us.debian.org lenny/main Sources
Ign http://ftp.us.debian.org lenny/main Packages
Ign http://security.debian.org lenny/updates Release.gpg
Ign http://security.debian.org lenny/updates/main Translation-en_US
Ign http://ftp.us.debian.org lenny/main Sources
Err http://ftp.us.debian.org lenny/main Packages
404 Not Found [IP: 128.61.240.89 80]
Ign http://security.debian.org lenny/updates Release
Hit http://volatile.debian.org lenny/volatile Release.gpg
Ign http://volatile.debian.org lenny/volatile/main Translation-en_US
Err http://ftp.us.debian.org lenny/main Sources
404 Not Found [IP: 128.61.240.89 80]
Ign http://security.debian.org lenny/updates/main Packages/DiffIndex
Hit http://volatile.debian.org lenny/volatile Release
Ign http://security.debian.org lenny/updates/main Sources/DiffIndex
Ign http://security.debian.org lenny/updates/main Packages
Ign http://volatile.debian.org lenny/volatile/main Packages/DiffIndex
Ign http://security.debian.org lenny/updates/main Sources
Ign http://volatile.debian.org lenny/volatile/main Sources/DiffIndex
Ign http://security.debian.org lenny/updates/main Packages
Hit http://volatile.debian.org lenny/volatile/main Packages
Ign http://security.debian.org lenny/updates/main Sources
Err http://security.debian.org lenny/updates/main Packages
404 Not Found [IP: 149.20.20.6 80]
Hit http://volatile.debian.org lenny/volatile/main Sources
Err http://security.debian.org lenny/updates/main Sources
404 Not Found [IP: 149.20.20.6 80]


W: Failed to fetch http://ftp.us.debian.org/debian/dists/lenny/main/binary-i386/Packages 404 Not Found [IP: 128.61.240.89 80]

W: Failed to fetch http://ftp.us.debian.org/debian/dists/lenny/main/source/Sources 404 Not Found [IP: 128.61.240.89 80]

W: Failed to fetch http://security.debian.org/dists/lenny/updates/main/binary-i386/Packages 404 Not Found [IP: 149.20.20.6 80]

W: Failed to fetch http://security.debian.org/dists/lenny/updates/main/source/Sources 404 Not Found [IP: 149.20.20.6 80]

E: Some index files failed to download, they have been ignored, or old ones used instead.
heather:~#

Thanks,

Brian

Share this post


Link to post
Share on other sites

End of life for Lenny. You need to access the archives,

Errors on installing autofs

Lenny reached it's EOL (end of life) in early February. On Mar. 25th the Lenny packages were removed from the debian.org servers, they are now on the archive.debian.org server.

In your sources.list you need to change the Lenny debian.org repo entries to the following:

deb http://archive.debian.org/debian/ lenny main contrib non-free

If you were using either the Lenny debian-security or volatile repo there's also these repos that are now on the archive.debian.org server.

deb http://archive.debian.org/debian-security/ lenny/updates main contrib non-free

deb http://archive.debian.org/debian-volatile/ lenny/volatile main contrib non-free

Share this post


Link to post
Share on other sites

End of life for Lenny. You need to access the archives,

Errors on installing autofs

Lenny reached it's EOL (end of life) in early February. On Mar. 25th the Lenny packages were removed from the debian.org servers, they are now on the archive.debian.org server.

In your sources.list you need to change the Lenny debian.org repo entries to the following:

deb http://archive.debian.org/debian/ lenny main contrib non-free

If you were using either the Lenny debian-security or volatile repo there's also these repos that are now on the archive.debian.org server.

deb http://archive.debian.org/debian-security/ lenny/updates main contrib non-free

deb http://archive.debian.org/debian-volatile/ lenny/volatile main contrib non-free

Thanks TT :D

Made a change to the Sources. I commented out the old stuff and added in the new stuff and she seems to work, although I don't know if I will be able to get updates that keep Lenny from having problems. Do they still work to plug security holes and other things with older versions?

Brian

Share this post


Link to post
Share on other sites

Perhaps it is time to upgrade to 6.0?

Check out the release notes prior to upgrading however. Back-up your stuff.

Release notes

Good Morning Hitest :D

I have tried at least once to update to squeeze (6.0) and had backed up everything before doing it - However, there seems to be a problem with my server being able to handle Grub's new version, so I ended up CRASHING the server, which runs my website and blog and had to reinstall Lenny because of the crash. I am reluctant to make any upgrades without knowing why this happened.

Brian

Share this post


Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

Loading...
Sign in to follow this